Package opennlp.tools.util.featuregen

## Class PosTaggerFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.PosTaggerFeatureGenerator

- All Implemented Interfaces:
    `AdaptiveFeatureGenerator`

      public class PosTaggerFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PosTaggerFeatureGenerator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createFeatures​(List<String> features, String[] tokens, int index, String[] tags)` | Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

      `clearAdaptiveData, updateAdaptiveData`

- - ### Constructor Detail

    - #### PosTaggerFeatureGenerator

          public PosTaggerFeatureGenerator()

  - ### Method Detail

    - #### createFeatures

          public void createFeatures​(List<String> features,
                                     String[] tokens,
                                     int index,
                                     String[] tags)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `features` - The list of features to be added to.
        `tokens` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `tags` - The outcomes for the tokens prior to the specified index.